Đến nội dung


Hình ảnh
* * * - - 8 Bình chọn

Viết lisp theo yêu cầu [phần 2]


  • Chủ đề bị khóa Chủ đề bị khóa
3783 replies to this topic

#1241 nqt266

nqt266

    biết vẽ circle

  • Members
  • PipPip
  • 37 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 25 May 2010 - 03:26 PM

Bác TUE NV nói đúng lắm, em up lại link ở đây, mong bác và anh em trên diễn đàn bớt chút thời gian, xem xét và giúp đỡ em
http://www.mediafire.com/?mtmnjzjn2aj
Xin chân thành cảm ơn anh em
  • 0

#1242 HoangSon614

HoangSon614

    biết lệnh properties

  • Members
  • PipPipPipPip
  • 254 Bài viết
Điểm đánh giá: 66 (tàm tạm)

Đã gửi 25 May 2010 - 03:52 PM

Chào cả nhà! Mình có yêu cầu nhỏ nhờ các bạn trên diễn đàn giúp mình với
Mình muốn viết 1 lisp xuất dữ liệu từ Excell sang Cad, cụ thể như sau:
tên lisp: XDL
Khi đánh lệnh lisp hỏi: chọn dữ liệu cần xuất sang Cad -> Enter -> Gọi lệnh khởi động Excell -> User dùng chuột quét chọn các dòng, cột bên Excell cần xuất -> Enter -> dữ liệu tự động xuất sang Excell
Cảm ơn tất cả mọi người. Chờ tin

Không ai giúp mình sao.
Vấn đề này mình đã seach nhiều rồi nhưng vẫn chưa đúng ý mình. Còn trong Table Cad khi xuất qua bị lỗi nên mình không sử dụng được
Mong mọi người giúp đỡ. Thanks....
  • 0
-~-~-~-~-~-~-~-~-~-~-~-~-~-~
Hôm qua là sự học hỏi nhận được sau 1 ngày
Ngày mai là sự bí ẩn mà chúng ta sẽ khám phá


------------------------------------------
http://www.tailieukythuat.com

#1243 hdt4151

hdt4151

    biết vẽ pline

  • Members
  • PipPip
  • 69 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 25 May 2010 - 04:14 PM

Viết lại cho bạn nè :


(defun c:cs(/ ss sx lis1 lis2 n i nn mm li li1)
(vl-load-com)
(setq ss (ssget '((0 . "TEXT"))))
(setq sx (ssget '((0 . "TEXT"))))
(setq lis1 (vl-remove-if 'listp (mapcar 'cadr (ssnamex ss))))
(setq lis2 (vl-remove-if 'listp (mapcar 'cadr (ssnamex sx))))
(setq lis1 (vl-sort lis1 '(lambda (x y)
(< (cadr (assoc 10 (entget x)))
(cadr (assoc 10 (entget y)))
)
)
)
)
(setq lis2 (vl-sort lis2 '(lambda (x y)
(< (cadr (assoc 10 (entget x)))
(cadr (assoc 10 (entget y)))
)
)
)
)
(setq n (sslength ss) i 0)

(if (= (length lis1) (length lis2))
(progn
(while (< i (length lis1))

(setq nn (entget (nth i lis1)))
(setq mm (entget (nth i lis2)))

(setq li (cdr (assoc 1 nn)))

(setq li1 (cdr (assoc 1 mm)))
(setq nn (subst (cons 1 li1) (assoc 1 nn) nn))
(setq mm (subst (cons 1 li) (assoc 1 mm) mm))

(entmod mm)
(entmod nn)
(setq i (+ i 1))

)
)
(alert "\n Hai chuoi khong bang nhau. Lisp khong thuc hien duoc")
)

(princ)

)

Trong code Lisp có kiểm tra sự bằng nhau của 2 chuỗi Text


Lisp đổi giá trị của 2 chuỗi text cho nhau.
Mình nhờ bạn đổi lại chút đc k, thay vì sắp xếp các chuỗi text theo X thì bây h đổi lại sắp xếp theo Y :rolleyes:
  • 0

#1244 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 25 May 2010 - 04:38 PM

Lisp đổi giá trị của 2 chuỗi text cho nhau.
Mình nhờ bạn đổi lại chút đc k, thay vì sắp xếp các chuỗi text theo X thì bây h đổi lại sắp xếp theo Y :rolleyes:

Bạn sửa hàm cadr thành caddr trong đoạn mã dưới đây:
Thay dòng :
(setq lis1 (vl-sort lis1 '(lambda (x y)
(< (cadr (assoc 10 (entget x)))
(cadr (assoc 10 (entget y)))
)
)
)
)
(setq lis2 (vl-sort lis2 '(lambda (x y)
(< (cadr (assoc 10 (entget x)))
(cadr (assoc 10 (entget y)))
)
)
)
)

->>>thành dòng :
(setq lis1 (vl-sort lis1 '(lambda (x y)
(< (caddr (assoc 10 (entget x)))
(caddr (assoc 10 (entget y)))
)
)
)
)
(setq lis2 (vl-sort lis2 '(lambda (x y)
(< (caddr (assoc 10 (entget x)))
(caddr (assoc 10 (entget y)))
)
)
)
)
  • 0

#1245 thao_tedi

thao_tedi

    biết zoom

  • Members
  • Pip
  • 14 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 25 May 2010 - 08:15 PM

Chào các bác.
Em thiết kế đường bằng Land desktop. Trong Land cắt ngang không thế hiện độ dốc của mặt đường và taluy nhưng hiện giờ Chủ đầu tư đang bắt thế hiện nên các chú CADer đang phải làm bằng tay. Em có một lisp thể hiện độ dốc taluy 3:1, 2:1... bằng lệnh grade nhưng nó không chạy ra độ dốc phần trăm của mặt đường. Em muốn thêm vào lisp này lệnh slope dùng cho độ dốc mặt đường khi đó mặt đường sẽ có độ dốc ví dụ 2.0%, 4.5%..v..v còn ta luy dùng lệnh grade như cũ sẽ có giá trị 3.0:1. 4.0:1...Em đã mày mò nhưng vẫn chưa ra. Mong các bác giúp em.
Xin cảm ơn nhiều.
Lisp gốc của em như sau:

(defun c:grade ()
textsize 0.5
osmode 1
(prompt "\npick points for the grade")
(setq pnt1 (getpoint) pnt2 (getpoint pnt1))
(setq ang1 (angle pnt1 pnt2))
;(setq ang1 (getangle))
(setq tanofang (/ (sin ang1) (cos ang1)))
(if (= tanofang 0) (setq grade1 0.0)
(setq grade1 (/ 1 tanofang))
)
(setq txt1 (strcat (rtos (abs grade1) 2 1) ":1"))
;(setq pnt1 (getpoint "\nPick location for text"))

(setq midpt (list (/ (+ (car pnt1) (car pnt2)) 2) (/ (+ (cadr pnt1) (cadr
pnt2)) 2)))
(setq odist (getvar "textsize"))
(setq ang2 (+ ang1 (/ pi 2)))
(setq osmd (getvar "osmode"))
(setvar "osmode" 0)
(setq inspt (polar midpt ang2 odist))
(command "text" "mc" inspt "" (rtd ang1) txt1) ; middle centre justified
(setvar "osmode" osmd)
(princ)
) ; replace the "c" above with "bc" for bottom centre


(defun rtd (a)
(/ (* a 180.0) pi)
)

(defun c:slope ()
textsize 0.5
osmode 1
(prompt "\npick points for the slope")
(setq pnt1 (getpoint) pnt2 (getpoint pnt1))
(setq ang1 (angle pnt1 pnt2))
;(setq ang1 (getangle))
(setq tanofang (/ (sin ang1) (cos ang1)))
(if (= tanofang 0) (setq slope1 0.0%)
(setq slope1 (/ (* 100 (- (cadr pnt1) (cadr pnt2)) (- (car pnt1) (car pnt2)))
))
(setq txt1 (strcat (rtos (abs slope1) 2 1) "%"))
;(setq pnt1 (getpoint "\nPick location for text"))

(setq midpt (list (/ (+ (car pnt1) (car pnt2)) 2) (/ (+ (cadr pnt1) (cadr
pnt2)) 2)))
(setq odist (getvar "textsize"))
(setq ang2 (+ ang1 (/ pi 2)))
(setq osmd (getvar "osmode"))
(setvar "osmode" 0)
(setq inspt (polar midpt ang2 odist))
(command "text" "mc" inspt "" (rtd ang1) txt1) ; middle centre justified
(setvar "osmode" osmd)
(princ)
) ; replace the "c" above with "bc" for bottom centre


(defun rtd (a)
(/ (* a 180.0) pi)
)
  • 0

#1246 nqt266

nqt266

    biết vẽ circle

  • Members
  • PipPip
  • 37 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 26 May 2010 - 12:37 AM

Bác TUE NV nói đúng lắm, em up lại link ở đây, mong bác và anh em trên diễn đàn bớt chút thời gian, xem xét và giúp đỡ em
http://www.mediafire.com/?mtmnjzjn2aj
Xin chân thành cảm ơn anh em

Bác TUE NV và anh em bớt chút thời gian xem xét giải quyết vấn đề này giúp em với,em đang cần gấp quá, cảm ơn mọi người nha
  • 0

#1247 18011985

18011985

    biết lệnh properties

  • Members
  • PipPipPipPip
  • 255 Bài viết
Điểm đánh giá: 61 (tàm tạm)

Đã gửi 26 May 2010 - 07:42 AM

Có phải thế này ko bạn.
Click here for download it.

Cảm ơn bạn nhé, gãi đúng chỗ ngứa của mình. Mình sẽ học tập thêm từ lsp đó nhưng bạn ơi cho mình hỏi biến e1 và e2 ở đây có ý nghĩa như thế nào.
  • 0
Trăng 16 trăng tròn
Em 16 bụng ... như trăng

Hướng dẫn sử dụng diễn đàn:
Để cảm ơn hay bài viết có ích: Ấn dấu + cuối bài.
Không vừa lòng hay bài spam: Ấn dấu - cuối bài.

#1248 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 26 May 2010 - 08:12 AM

Bác TUE NV và anh em bớt chút thời gian xem xét giải quyết vấn đề này giúp em với,em đang cần gấp quá, cảm ơn mọi người nha

Nqt266 sử dụng thử cái này :
http://www.cadviet.c...files/2/xck.rar
  • 0

#1249 nqt266

nqt266

    biết vẽ circle

  • Members
  • PipPip
  • 37 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 26 May 2010 - 08:33 AM

Bác TUE NV à,Quên mất em không nói rõ, ý em là mình dùng lệnh, sau đó chọn lần lượt các text theo thứ tự em chỉ ra như đường pline có mũi tên đó, sau đó sẽ xuất ra bảng excell theo mẫu bảng mà em để ở dưới. Bác xem giúp em với nhé. Thanks bác nha
  • 0

#1250 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 26 May 2010 - 08:58 AM

Bác TUE NV à,Quên mất em không nói rõ, ý em là mình dùng lệnh, sau đó chọn lần lượt các text theo thứ tự em chỉ ra như đường pline có mũi tên đó, sau đó sẽ xuất ra bảng excell theo mẫu bảng mà em để ở dưới. Bác xem giúp em với nhé. Thanks bác nha

Thế này nhé :
Thay vì bạn chọn thứ tự Text theo chiều mũi tên -> bạn vẽ 1 Pline qua các Text đó như hình bạn đã post. PLINE này bạn nên để vào lớp DEFPOINTS để khi in ra không thấy và có thể ẩn nó đi bất cứ lúc nào (sử dụng lệnh Layoff). Sau này muốn sửa số và chạy lại Lisp thì cho hiện cái Pline này lên và ... chạy, khỏi mất công chọn ......Text. Chú ý rằng Pline này : điểm đầu -> điểm cuối phải đi theo chiều mũi tên nhé

Về kết quả xuất của Lisp : Xuất ra Table -> Muốn chuyển qua Excel thì cứ Chọn cái Table mà Export là xong -> Tiếp muốn chuyển qua CAD theo đối tượng OLE(như bản vẽ của bạn) thì cứ copy -> paste là xong

PS : Không nên sử dụng đối tượng OLE trong CAD mà nên sử dụng Table
  • 1

#1251 nqt266

nqt266

    biết vẽ circle

  • Members
  • PipPip
  • 37 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 26 May 2010 - 10:29 AM

Thế này nhé :
Thay vì bạn chọn thứ tự Text theo chiều mũi tên -> bạn vẽ 1 Pline qua các Text đó như hình bạn đã post. PLINE này bạn nên để vào lớp DEFPOINTS để khi in ra không thấy và có thể ẩn nó đi bất cứ lúc nào (sử dụng lệnh Layoff). Sau này muốn sửa số và chạy lại Lisp thì cho hiện cái Pline này lên và ... chạy, khỏi mất công chọn ......Text. Chú ý rằng Pline này : điểm đầu -> điểm cuối phải đi theo chiều mũi tên nhé

Về kết quả xuất của Lisp : Xuất ra Table -> Muốn chuyển qua Excel thì cứ Chọn cái Table mà Export là xong -> Tiếp muốn chuyển qua CAD theo đối tượng OLE(như bản vẽ của bạn) thì cứ copy -> paste là xong

PS : Không nên sử dụng đối tượng OLE trong CAD mà nên sử dụng Table




Em xuất được ra Table trong cad rồi nhưng ko xuất sang excell đc. export sang ko ra cái j cả, bác xem giúp em với nhé. Thanks bác nha
  • 0

#1252 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 26 May 2010 - 11:06 AM

Em xuất được ra Table trong cad rồi nhưng ko xuất sang excell đc. export sang ko ra cái j cả, bác xem giúp em với nhé. Thanks bác nha

Bạn đã sử dụng lệnh tableexport chưa?
  • 1

#1253 nqt266

nqt266

    biết vẽ circle

  • Members
  • PipPip
  • 37 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 26 May 2010 - 02:36 PM

Bạn đã sử dụng lệnh tableexport chưa?



Cảm ơn bác Tue nha, em làm đc rồi, Chúc bác khoẻ, công việc tốt và ngày càng có nhiều lisp hay
  • 0

#1254 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 26 May 2010 - 02:54 PM

Cảm ơn bác Tue nha, em làm đc rồi, Chúc bác khoẻ, công việc tốt và ngày càng có nhiều lisp hay

Thực ra, mình đã lầm. Cứ tưởng đường PLINE màu đỏ trong file của bạn upload lên là có sẳn, hoá ra không phải.
Yêu cầu của bạn rất rõ phải chọn thứ tự là Text. Tue_NV muốn tối ưu hơn nên đã chọn PLINE thay vì chọn Text nhưng đã lầm vì PLINE không có sẵn. Bạn chọn Text không cần theo thứ tự, Lisp sẽ sắp xếp cho bạn từ trái qua phải hay từ phải qua trái do User định.

Theo Tue_NV thấy thì bạn muốn xuất kết quả Excel
Yêu cầu của bạn khá giống với yêu cầu của UtCung cách đây vài hôm và Tue_NV đã giải quyết thành công.
Bạn xem có đúng không nhé
1. Chọn các Text
2. Lisp sắp xếp Text từ trái qua phải hay từ phải qua trái do User định
3. Xuất sang Table hay Excel với 2 text trên mỗi hàng

Tue_NV hơi bận. Bạn chịu khó sài đỡ cái Lisp kia vậy
  • 0

#1255 duonghung1210

duonghung1210

    biết lệnh offset

  • Members
  • PipPipPip
  • 175 Bài viết
Điểm đánh giá: 61 (tàm tạm)

Đã gửi 26 May 2010 - 03:47 PM

CadViêt mình có lish chuyển đổi Hatch có associative và ngược lại chưa nhỉ?
nếu chưa có nhờ bác nào viết giúp! chứ mỗi lần muốn chuyển đổi lại phải hatch lại để chọn associative thì hơi ngại! :rolleyes:
  • 0
Nhăn răng ra cười cho đời đỡ khổ!!!

#1256 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 26 May 2010 - 04:19 PM

CadViêt mình có lish chuyển đổi Hatch có associative và ngược lại chưa nhỉ?
nếu chưa có nhờ bác nào viết giúp! chứ mỗi lần muốn chuyển đổi lại phải hatch lại để chọn associative thì hơi ngại! :rolleyes:

Cải tiến từ Lisp move hatch trong topic này :
http://www.cadviet.c...?showtopic=8121
Tue_NV viết thêm đôi chút cho phù hợp với yêu cầu của bạn :

(defun c:hma ()
(setvar "hpassoc" 1)
(setvar "osmode" 512)
(setq ddd (entsel "\nChuyen Hatch : Non-associative -> associative"))
(while
(null ddd)
(princ "\nDoi tuong khong phai la Hatch! Chon lai")
(setq ddd (entsel "\nChon Hatch mau :"))
)

(setq ename ddd
elist (entget (car ename))
etyp (cdr (assoc 0 elist))
old (getvar "clayer")
);setq

(if (/= etyp "HATCH")
(prompt "\nKHONG PHAI DOI TUONG HATCH! HAY THU LAI!")
(progn
(setq layn (cdr (assoc 8 elist)))
(setvar "HPNAME" (cdr (assoc 2 elist)))
))

(if (= (setvar "HPNAME" (cdr (assoc 2 elist))) "SOLID")
(Progn

(setq pt1 (cadr ddd))
(setvar "clayer" layn)
(entdel (car ename))
(command "bhatch" pt1 "")
(setvar "clayer" old)
))

(if (/= (setvar "HPNAME" (cdr (assoc 2 elist))) "SOLID")
(Progn

;(setq pt1 (getpoint "\nCHON MOT DIEM TRONG VUNG SE HATCH: "))
(setq pt1 (cadr ddd))
(setvar "clayer" layn)
(entdel (car ename))
(command "bhatch" pt1 "")
(setvar "clayer" old)

);progn
);if
(princ)
);defun
;;;;;;;;;;;;;
(defun c:hmna ()
(setvar "hpassoc" 0)
(setvar "osmode" 512)
(setq ddd (entsel "\nChuyen Hatch : associative -> Non-associative"))
(while
(null ddd)
(princ "\nDoi tuong khong phai la Hatch! Chon lai")
(setq ddd (entsel "\nChon Hatch mau :"))
)

(setq ename ddd
elist (entget (car ename))
etyp (cdr (assoc 0 elist))
old (getvar "clayer")
);setq

(if (/= etyp "HATCH")
(prompt "\nKHONG PHAI DOI TUONG HATCH! HAY THU LAI!")
(progn
(setq layn (cdr (assoc 8 elist)))
(setvar "HPNAME" (cdr (assoc 2 elist)))
))

(if (= (setvar "HPNAME" (cdr (assoc 2 elist))) "SOLID")
(Progn

(setq pt1 (cadr ddd))
(setvar "clayer" layn)
(entdel (car ename))
(command "bhatch" pt1 "")
(setvar "clayer" old)
))

(if (/= (setvar "HPNAME" (cdr (assoc 2 elist))) "SOLID")
(Progn

;(setq pt1 (getpoint "\nCHON MOT DIEM TRONG VUNG SE HATCH: "))
(setq pt1 (cadr ddd))
(setvar "clayer" layn)
(entdel (car ename))
(command "bhatch" pt1 "")
(setvar "clayer" old)

);progn
);if
(princ)
);defun

  • 2

#1257 ut_cung

ut_cung

    biết vẽ line

  • Members
  • PipPip
  • 21 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 26 May 2010 - 04:51 PM

Các Bác cho út hỏi cái này tí.
Khi mình dùng các lệnh field (link các giá trị) thì text link nó có vùng giống như hatch xung quanh, trong bản vẽ có nhiều text này làm nhức mắt quá (út lại bị đau mắt nữa) bác nào biết cách đổi màu của vùng hatch xung quanh text này chỉ dùm út với.
Cảm ơn cadviet! Chúc mọi người sức khoẻ!
  • 0

#1258 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 26 May 2010 - 05:09 PM

Các Bác cho út hỏi cái này tí.
Khi mình dùng các lệnh field (link các giá trị) thì text link nó có vùng giống như hatch xung quanh, trong bản vẽ có nhiều text này làm nhức mắt quá (út lại bị đau mắt nữa) bác nào biết cách đổi màu của vùng hatch xung quanh text này chỉ dùm út với.
Cảm ơn cadviet! Chúc mọi người sức khoẻ!

Út nên post bài đúng chủ đề. Nên post vào Kỹ thuật AutoCAD thì hợp lý
đổi màu thì Tue_NV không biết cách. Nhưng để bỏ nó đi thì thiết lập biến fielddisplay và cho nó =0

Command: fielddisplay

Enter new value for FIELDDISPLAY <1>: 0

hoặc option -> Tab User Preferences bỏ dấu tick Display background of field
  • 0

#1259 gia_bach

gia_bach

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1435 Bài viết
Điểm đánh giá: 1426 (rất tốt)

Đã gửi 28 May 2010 - 03:51 PM

Cải tiến từ Lisp move hatch trong topic này :
http://www.cadviet.c...?showtopic=8121
Tue_NV viết thêm đôi chút cho phù hợp với yêu cầu của bạn :
..................

Cách khác để chuyển Hatch từ associative -> Non-associative

(defun C:ha(/ obj ss);Chuyen Hatch : associative -> Non-associative
(if (and
(setq ss (ssget "+.:S:N" (list (cons 0 "HATCH"))))
(setq obj (vlax-Ename->Vla-Object(ssname ss 0)))
(= (vla-get-AssociativeHatch obj) :vlax-true))
(vla-put-AssociativeHatch obj :vlax-false) )
(princ))

  • 1

#1260 nqt266

nqt266

    biết vẽ circle

  • Members
  • PipPip
  • 37 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 30 May 2010 - 09:54 AM

Thực ra, mình đã lầm. Cứ tưởng đường PLINE màu đỏ trong file của bạn upload lên là có sẳn, hoá ra không phải.
Yêu cầu của bạn rất rõ phải chọn thứ tự là Text. Tue_NV muốn tối ưu hơn nên đã chọn PLINE thay vì chọn Text nhưng đã lầm vì PLINE không có sẵn. Bạn chọn Text không cần theo thứ tự, Lisp sẽ sắp xếp cho bạn từ trái qua phải hay từ phải qua trái do User định.

Theo Tue_NV thấy thì bạn muốn xuất kết quả Excel
Yêu cầu của bạn khá giống với yêu cầu của UtCung cách đây vài hôm và Tue_NV đã giải quyết thành công.
Bạn xem có đúng không nhé
1. Chọn các Text
2. Lisp sắp xếp Text từ trái qua phải hay từ phải qua trái do User định
3. Xuất sang Table hay Excel với 2 text trên mỗi hàng

Tue_NV hơi bận. Bạn chịu khó sài đỡ cái Lisp kia vậy

Thanks bác Tue NV nha, khi nào có thời gian rảnh em sẽ thảo luận với bác rõ hơn về bài toán này, dùng lisp kia của bác em cũng giải quyết gần xong vđề của mình rồi(mỗi tội hơi lâu :rolleyes:)
  • 0